<?php

require_once 'classes/PluginCallback.php';
require_once 'modules/billing/models/class.gateway.plugin.php';

class PluginInternetsecureCallback extends PluginCallback
{
    
    function processCallback()
    {
        //Get vars from post/get
        $tProduct = $_POST['DoubleColonProducts'];
        $aProducts = explode("::", $tProduct);
        $tInvoiceID = $aProducts[2];  // return of optional variables
        $tTransStatus = $_POST['Verbage'];
        $lPricePaid = $aProducts[0];  //For Future Use
        
        //Create plug in class to interact with CE
        $cPlugin = new Plugin($tInvoiceID, 'internetsecure', $this->user, $this->customer);
        
        //Determine if payment was made
        $cPlugin->PaymentAccepted($lPricePaid);
    }
    
}

?>
